Subject: RE: scrolling through buffer in cygwin.bat shell
From: Crittenden David-QDC001 <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "'Igor Pechtchanski'" <[email-masked]>
Date: Wed, 18 Sep 2002 11:42:33 -0500

Igor,

Thanks for setting me straight.

I have tried the man page on rxvt and get this:
 $ man rxvt
Formatting page, please wait...
Error executing formatting or display command.
System command (cd /usr/man ; (echo -e ".pl 1100i"; cat
/usr/man/man1/rxvt.1; echo ".pl \n(nlu+10")
| /usr/bin/tbl | /usr/bin/groff -Tascii -mandoc | gzip >
/usr/man/cat1/rxvt.1.gz) exited with status
 32512.

(Any suggestions as to why this might occur?  I have tbl, groff, gzip, and
less installed.)

So, I tried this:

/usr/bin/groff -Tascii -mandoc  /usr/man/man1/rxvt.1 | less

and was able to read the man page.

Just running rxvt from the cygwin/bash prompt produces a fast fleeting
window of some sort.  I then tried this: 

 $ rxvt -bg black -fg white -e /bin/bash

(You should have seen the grin.)

I think I am on my way.  I will pay more attention to the rxvt emails from
now on.

Thank you again,

Brent

-----Original Message-----
From: Igor Pechtchanski [mailto:[email-masked]]
Sent: Wednesday, September 18, 2002 10:45 AM
To: Crittenden David-QDC001
Cc: [email-masked]
Subject: Re: scrolling through buffer in cygwin.bat shell

On Wed, 18 Sep 2002, Crittenden David-QDC001 wrote:

> All,
>
> Is is possible to map the keys shift-page up and shift-page down to scroll
> through the buffer of the cygwin shell?
>
> I have seen references to the rxvt app on the mailing lists, but I think
> this is used with an xserver.
>
> I am running cygwin on w2k with cygwin version 1.3.12-4.
>
> Thank you in advance,
>
> Brent Crittenden

Unlike xterm, rxvt can run under both X11 and MS Windows.  Try it. ;-)
	Igor
-- 
				http://cs.nyu.edu/~pechtcha/
      |\      _,,,---,,_		[email-masked]
ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
     |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski
    '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!

"Water molecules expand as they grow warmer" (C) Popular Science, Oct'02,
p.51

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/